Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 15179)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 15180)
@@ -22,27 +22,27 @@
 // +-----------------------------------------------------------------------+
 
-$lang['%d association'] = '%d связь';
-$lang['%d associations'] = '%d связей';
-$lang['%d album including'] = '%d альбом включает';
-$lang['%d albums including'] = '%d альбомов включают ';
-$lang['%d physical'] = '%d реальная';
-$lang[' and %d virtual'] = ' и %d виртуальных';
-$lang['%d album moved'] = '%d альбом перемещен';
-$lang['%d albums moved'] = '%d альбомы перемещены';
-$lang['%d group'] = '%d группа';
-$lang['%d groups'] = '%d групп';
-$lang['%d member'] = '%d участник';
-$lang['%d members'] = '%d участников';
-$lang['%d tag'] = '%d метка';
-$lang['%d tags'] = '%d метки';
-$lang['%d user comment rejected'] = '%d комментарий посетителя отклонен';
-$lang['%d user comments rejected'] = '%d комментариев посетителей отклонено';
-$lang['%d user comment validated'] = '%d комментарий посетителя принят';
-$lang['%d user comments validated'] = '%d комментариев посетителей принято';
-$lang['%d user deleted'] = '%d пользователь удален';
-$lang['%d users deleted'] = '%d пользователей удалено';
-$lang['%d user'] = '%d пользователь';
-$lang['%d users'] = '%d пользователей';
-$lang['%d waiting for validation'] = '%d ожидает проверки';
+$lang['%d association'] = 'связей: %d';
+$lang['%d associations'] = 'связей: %d';
+$lang['%d album including'] = 'Альбомов: %d, включая ';
+$lang['%d albums including'] = 'Альбомов: %d, включая ';
+$lang['%d physical'] = 'реальных: %d';
+$lang[' and %d virtual'] = ' и виртуальных: %d';
+$lang['%d album moved'] = 'перемещено альбомов: %d';
+$lang['%d albums moved'] = 'перемещено альбомов: %d';
+$lang['%d group'] = 'групп: %d';
+$lang['%d groups'] = 'групп: %d';
+$lang['%d member'] = 'участников: %d';
+$lang['%d members'] = 'участников: %d';
+$lang['%d tag'] = 'тегов: %d';
+$lang['%d tags'] = 'тегов: %d';
+$lang['%d user comment rejected'] = 'отклонено комментариев посетителей: %d';
+$lang['%d user comments rejected'] = 'отклонено комментариев посетителей: %d';
+$lang['%d user comment validated'] = 'принято комментариев посетителей: %d';
+$lang['%d user comments validated'] = 'принято комментариев посетителей: %d';
+$lang['%d user deleted'] = 'пользователей удалено: %d';
+$lang['%d users deleted'] = 'пользователей удалено: %d';
+$lang['%d user'] = 'пользователей: %d';
+$lang['%d users'] = 'пользователей: %d';
+$lang['%d waiting for validation'] = 'ожидает проверки: %d';
 $lang['Actions'] = 'Действия';
 $lang['Activate'] = 'Активировать';
@@ -243,8 +243,8 @@
 $lang['Error when sending email to %s [%s].'] = 'Ошибка отправки почты для %s [%s].';
 $lang['Mail sent to %s [%s].'] = 'Письмо отправлено для %s [%s].';
-$lang['%d mail was sent.'] = 'Отправлено письмо: %d.';
-$lang['%d mails were sent.'] = 'Отправлено писем: %d.';
-$lang['%d mail was not sent.'] = 'Не отправлено письмо: %d.';
-$lang['%d mails were not sent.'] = 'Не отправлено писем: %d.';
+$lang['%d mail was sent.'] = 'писем отправлено: %d.';
+$lang['%d mails were sent.'] = 'писем отправлено: %d.';
+$lang['%d mail was not sent.'] = 'писем не отправлено: %d.';
+$lang['%d mails were not sent.'] = 'писем не отправлено: %d.';
 $lang['No mail to send.'] = 'Нет писем для отправки.';
 $lang['There is no available subscribers to mail.'] = 'Нет пользователей, которым можно было бы отправить почту.';
@@ -269,12 +269,12 @@
 $lang['Subscribe/unsubscribe users'] = 'Добавление/удаление пользователей в список рассылки';
 $lang['Unsubscribed'] = 'Не в списке рассылки';
-$lang['%d parameter was updated.'] = '%d параметр обновлен.';
-$lang['%d parameters were updated.'] = '%d параметров обновлено.';
-$lang['%d user was not updated.'] = '%d пользователь не обновлен.';
-$lang['%d users were not updated.'] = '%d пользователей не обновлено.';
+$lang['%d parameter was updated.'] = 'обновлено параметров: %d';
+$lang['%d parameters were updated.'] = 'обновлено параметров: %d';
+$lang['%d user was not updated.'] = 'пользователей НЕ обновлено: %d';
+$lang['%d users were not updated.'] = 'пользователей НЕ обновлено: %d.';
 $lang['User %s [%s] was removed from the subscription list.'] = 'Пользователь %s [%s] удален из списка рассылки.';
 $lang['User %s [%s] was added to the subscription list.'] = 'Пользователь %s [%s] добавлен в список рассылки.';
-$lang['%d user was updated.'] = '%d пользователь изменен.';
-$lang['%d users were updated.'] = '%d пользователей изменено.';
+$lang['%d user was updated.'] = 'пользователей изменено: %d.';
+$lang['%d users were updated.'] = 'пользователей изменено: %d.';
 $lang['User %s [%s] was not removed from the subscription list.'] = 'Пользователь %s [%s] не удален из списка рассылки.';
 $lang['User %s [%s] was not added to the subscription list.'] = 'Пользователь %s [%s] не добавлен в список рассылки.';
@@ -408,8 +408,8 @@
 $lang['Image id'] = 'id изображения';
 $lang['Summary'] = 'Суммарно';
-$lang['%d line filtered'] = '%d линия отфильтрована';
-$lang['%d lines filtered'] = '%d линий отфильтровано';
-$lang['%d guest'] = '%d гость';
-$lang['%d guests'] = '%d гостей';
+$lang['%d line filtered'] = 'линия отфильтрована: %d';
+$lang['%d lines filtered'] = 'линий отфильтровано: %d';
+$lang['%d guest'] = 'гостей: %d';
+$lang['%d guests'] = 'гостей: %d';
 $lang['Hour'] = 'Час';
 $lang['guest'] = 'гость';
@@ -426,10 +426,10 @@
 $lang['Correction applied with success'] = 'Коррекция успешно применена';
 $lang['Correction applied with error'] = 'Коррекция применена с ошибками';
-$lang['%d anomaly has been detected.'] = 'Обнаружена %d неисправность.';
-$lang['%d anomalies have been detected.'] = 'Обнаружено %d неисправностей.';
-$lang['%d anomaly has been corrected.'] = 'Скорректирована %d неисправность.';
-$lang['%d anomalies have been detected corrected.'] = 'Скорректировано %d неисправностей.';
-$lang['%d anomaly has not been corrected.'] = 'Не скорректирована %d неисправность.';
-$lang['%d anomalies have not been corrected.'] = 'Не скорректировано %d неисправностей.';
+$lang['%d anomaly has been detected.'] = 'неисправностей обнаружено: %d.';
+$lang['%d anomalies have been detected.'] = 'неисправностей обнаружено: %d.';
+$lang['%d anomaly has been corrected.'] = 'неисправностей скорректировано: %d.';
+$lang['%d anomalies have been detected corrected.'] = 'неисправностей скорректировано: %d.';
+$lang['%d anomaly has not been corrected.'] = 'неисправностей НЕ скорректировано: %d.';
+$lang['%d anomalies have not been corrected.'] = 'неисправностей НЕ скорректировано: %d.';
 $lang['Go to %s or %s for more informations'] = 'Смотрите %s или %s для получения дополнительной информации';
 $lang['the forum'] = 'форум';
@@ -465,6 +465,6 @@
 $lang['The anomaly will be ignored until next application version'] = 'Неисправности будут игнорироваться до установки следующей версии скрипта';
 $lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Исправленная неисправность больше не будет игнорироваться';
-$lang['%d anomaly has been ignored.'] = '%d неисправность была проигнорирована.';
-$lang['%d anomalies have been ignored.'] = 'Было проигнорировано неисправностей: %d';
+$lang['%d anomaly has been ignored.'] = 'неисправностей проигнорировано: %d';
+$lang['%d anomalies have been ignored.'] = 'неисправностей проигнорировано: %d';
 $lang['Plugins which need upgrade'] = 'Плагины, требующие обновлений';
 $lang['Plugin list'] = 'Список плагинов';
@@ -522,6 +522,6 @@
 $lang['No photo can be deleted'] = 'Нет фото для удаления';
 $lang['Delete selected photos'] = 'Удалить выбранные фото';
-$lang['%d photo was deleted'] = '%d фото удалено';
-$lang['%d photos were deleted'] = '%d фото удалено';
+$lang['%d photo was deleted'] = 'удалено фотографий: %d';
+$lang['%d photos were deleted'] = 'удалено фотографий: %d';
 $lang['Unable to check for upgrade.'] = 'Невозможно проверить обновление.';
 $lang['Date'] = 'Дата';
@@ -564,7 +564,7 @@
 $lang['Album "%s" has been added'] = 'Альбом "%s" добавлен';
 $lang['Uploaded Photos'] = 'Загруженные фотографии';
-$lang['%d photos uploaded'] = '%d фотографий загружено';
+$lang['%d photos uploaded'] = 'загружено фотографий: %d';
 $lang['Privacy level set to "%s"'] = 'Установить уровень доступа "%s"';
-$lang['Album "%s" now contains %d photos'] = 'Альбом "%s" содержит %d фотографий';
+$lang['Album "%s" now contains %d photos'] = 'Альбом "%s" содержит фотографий: %d';
 $lang['Manage this set of %d photos'] = 'Редактировать этот набор из %d фотографий';
 $lang['Select files'] = 'Выбрать файлы';
@@ -884,6 +884,6 @@
 $lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Плагин публикации Piwigo позволяет экспортировать и синхронизировать фотографии из Lightroom напрямую в Вашу галерею Piwigo.';
 $lang['There is no group in this gallery.'] = 'В галерее нет групп.';
-$lang['This album contains %d photos, added between %s and %s.'] = 'Этот альбом содержит %d фотографий, добавлен между %s и %s.';
-$lang['This album contains %d photos, added on %s.'] = 'Этот альбом содержит %d фотографий, добавлен %s.';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Этот альбом содержит фотографий: %d, добавлен между %s и %s.';
+$lang['This album contains %d photos, added on %s.'] = 'Этот альбом содержит фотографий: %d, добавлен %s.';
 $lang['This album contains no photo.'] = 'Этот альбом не содержит фотографий.';
 $lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Для экспорта фото из digiKam в Piwigo, просто установите digiKam и плагин Kipi.';
@@ -914,7 +914,7 @@
 $lang['Original file : %s'] = 'Оригинал: %s';
 $lang['Posted %s on %s'] = 'Опубликован %s в %s';
-$lang['Rated %d times, score : %.2f'] = 'Оценен %d раз, оценка: %.2f';
+$lang['Rated %d times, score : %.2f'] = 'Оценок: %d, средняя: %.2f';
 $lang['Sharpen'] = 'Резкость';
-$lang['Visited %d times'] = 'Посещен %d раз';
+$lang['Visited %d times'] = 'Просмотров: %d';
 $lang['Watermark'] = 'Водяной знак';
 $lang[' and %d virtuals'] = ' и виртуальных: %d';