Index: /extensions/Psli_BingMaps/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Psli_BingMaps/language/ru_RU/plugin.lang.php	(revision 15181)
+++ /extensions/Psli_BingMaps/language/ru_RU/plugin.lang.php	(revision 15181)
@@ -0,0 +1,70 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Action'] = 'Действие';
+$lang['Annuler le mode creation'] = 'Отмена режима периметра';
+$lang['Bing Maps Key'] = 'Ключ Bing Maps';
+$lang['Categorie'] = 'Категория';
+$lang['Center Latittude'] = 'Начальная широта';
+$lang['Center Longitude'] = 'Начальная долгота';
+$lang['Cliquez pour acceder aux photos'] = 'Нажать для просмотра';
+$lang['Cliquez pour zoomer sur'] = 'Нажать для изменения масштаба до ';
+$lang['Configuration'] = 'Установка';
+$lang['Contenu'] = 'Показать картинку категории';
+$lang['Creer une zone'] = 'Создание периметра';
+$lang['Enregistrer la zone'] = 'Сохранить периметр';
+$lang['Etes-vous sur ?'] = 'Уверены?';
+$lang['Latitude'] = 'Широта';
+$lang['Localisation - Plugin Psli-BingMaps'] = 'Локализация - Плагин Psli-BingMaps';
+$lang['Longitude'] = 'Долгота';
+$lang['PointnClick Map'] = 'Укажите точку на карте';
+$lang['Set'] = 'Набор';
+$lang['Setup Helper'] = 'Используйте карту, чтобы установить начальную позицию центра и уровень масштабирования карты.';
+$lang['Submit'] = 'Сохранить';
+$lang['Supprimer la localisation'] = 'Удалить все данные';
+$lang['Supprimer le dernier point'] = 'Удалить последнюю точку';
+$lang['Tout effacer'] = 'Удалить все';
+$lang['Valider'] = 'Передать';
+$lang['Zoom maximum'] = 'Максимальный зум';
+$lang['Zoom minimum'] = 'Минимальный зум';
+$lang['Zoom niveau 10'] = 'Зум уровень 10';
+$lang['Zoom niveau 11'] = 'Зум уровень 11';
+$lang['Zoom niveau 12'] = 'Зум уровень 12';
+$lang['Zoom niveau 13'] = 'Зум уровень 13';
+$lang['Zoom niveau 14'] = 'Зум уровень 14';
+$lang['Zoom niveau 15'] = 'Зум уровень 15';
+$lang['Zoom niveau 16'] = 'Зум уровень 16';
+$lang['Zoom niveau 17'] = 'Зум уровень 17';
+$lang['Zoom niveau 18'] = 'Зум уровень 18';
+$lang['Zoom niveau 19'] = 'Зум уровень 19';
+$lang['Zoom niveau 1'] = 'Зум уровень 1';
+$lang['Zoom niveau 20'] = 'Зум уровень 20';
+$lang['Zoom niveau 2'] = 'Зум уровень 2';
+$lang['Zoom niveau 3'] = 'Зум уровень 3';
+$lang['Zoom niveau 4'] = 'Зум уровень 4';
+$lang['Zoom niveau 5'] = 'Зум уровень 5';
+$lang['Zoom niveau 6'] = 'Зум уровень 6';
+$lang['Zoom niveau 7'] = 'Зум уровень 7';
+$lang['Zoom niveau 8'] = 'Зум уровень 8';
+$lang['Zoom niveau 9'] = 'Зум уровень 9';
+$lang['Zoom'] = 'Начальный зум';
+?>