Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 15189)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 15190)
@@ -89,5 +89,5 @@
 $lang['Maintenance'] = 'Manteniment';
 $lang['Edit album permissions'] = 'Editar permisos de l\'àlbum';
-$lang['Manage permissions for user "%s"'] = 'Gestiona els permisos de l\'usuari "%s"';
+$lang['Manage permissions for user "%s"'] = 'Gestionar els permisos de l\'usuari "%s"';
 $lang['Manage tags'] = 'Gestió d\'etiquetes';
 $lang['Members'] = 'Membres';
@@ -205,5 +205,5 @@
 $lang['Manage'] = 'Gestionar';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'El temps d\'execució s\'ha acabat, el tractament ha de continuar [Temps estimat: %d segon].';
-$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Excedit el temps d\'execució. El processament ha de continuar [Temps estimat: %d segons].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'S\'ha excedit el temps d\'execució. L\'execució ha de continuar [Temps estimat: %d segons].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'El temps requerit per a processar la llista d\'usuaris a enviar-los correus és limitat. No s\'han pogut processar tots els usuaris.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'El temps d\'enviament del correu és limitat. No tots els missatges han pogut ser enviats. S\'han omès missatges de correu electrònic.';
@@ -289,5 +289,5 @@
 $lang['Repair and optimize database'] = 'Repara i optimitza la base de dades';
 $lang['selection'] = 'Seleccionades';
-$lang['set to'] = 'establir a';
+$lang['set to'] = 'Establir a';
 $lang['singly represented'] = 'Representa per separat';
 $lang['This site already exists'] = 'Aquest lloc ja existeix';
@@ -327,5 +327,5 @@
 $lang['unit mode'] = 'Mode unitari';
 $lang['Unlocked'] = 'Desbloquejat';
-$lang['unset'] = 'no definit';
+$lang['unset'] = 'Ometre';
 $lang['Update albums informations'] = 'Actualitza la informació dels àlbums';
 $lang['Update photos information'] = 'Actualitza la informació de les imatges';
@@ -475,5 +475,5 @@
 $lang['Can\'t read or extract archive.'] = 'No es pot llegir o extreure l\'arxiu.';
 $lang['An error occured during extraction (%s).'] = 'Hi ha hagut un error durant l\'extracció (%s).';
-$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Si us plau, reviseu els permisos de la carpeta "plugins" i les seves subcarpetes (CHMOD).';
+$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Si us plau, reviseu els permisos de la carpeta dels complements "plugins", així com a les seves subcarpetes (CHMOD).';
 $lang['Can\'t connect to server.'] = 'No es pot conectar al servidor.';
 $lang['Purge compiled templates'] = 'Eliminar plantilles compilades';
@@ -551,9 +551,9 @@
 $lang['+ Add an upload box'] = '+ Afegir caixa de transferència';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Crear el directori "%s" a l\'arrel de la instal·lació Piwigo';
-$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dé permisos de escritura (chmod 777) al directorio "%s"  en la raíz de su instalación Piwigo';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Cal concedir permisos d\'escriptura (chmod 777) al directori "%s" a l\'arrel de la instal·lació de Piwigo';
 $lang['existing album'] = 'Àlbum existent';
 $lang['create a new album'] = 'crear un nou àlbum';
 $lang['Album name'] = 'Nombre del álbum';
-$lang['Album "%s" has been added'] = 'el álbum "%s" se ha añadido';
+$lang['Album "%s" has been added'] = 'S\'ha afegit l\'àlbum "%s"';
 $lang['Uploaded Photos'] = 'Fotos añadidas';
 $lang['%d photos uploaded'] = '%d imatges afegides';
@@ -595,5 +595,5 @@
 $lang['Visit Gallery'] = 'Tornar a la galeria';
 $lang['Visit Piwigo project website'] = 'Visitar el web del projecte Piwigo';
-$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'PLoader representa a <em>Piwigo Uploader</em>. Des del teu ordinador pLoader prepara les teves fotos i les trasllada a la teva galeria Piwigo.';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'PLoader representa a <em>Piwigo Uploader</em>. Des del seu ordinador pLoader prepara les seves fotos i les trasllada a la seva galeria Piwigo.';
 $lang['Guest Settings'] = 'Ajustos del visitant';
 $lang['Main Page'] = 'Página principal';
@@ -679,5 +679,5 @@
 $lang['The whole set'] = 'Tot el conjunt';
 $lang['No photo in the current set.'] = 'No hi ha imatges en aquest lot.';
-$lang['No photo selected, no action possible.'] = 'No hi ha cap imatge seleccionada. Seleccioni les imatges a processar.';
+$lang['No photo selected, no action possible.'] = 'Cal seleccionar almenys una imatge per a executar qualsevol acció.';
 $lang['Choose an action'] = 'Seleccionar una acció';
 $lang['remove author'] = 'eliminar l\'autor';
@@ -688,5 +688,5 @@
 $lang['Album photos associated to the following albums: %s'] = 'Las fotos del álbum se han asociado con los àlbumes sigientes: %s';
 $lang['Delete orphan tags'] = 'Eliminar etiquetes orfes';
-$lang['delete photo'] = 'Eliminar la foto';
+$lang['delete photo'] = 'Eliminar imatge';
 $lang['Orphan tags deleted'] = 'Etiquetes orfes eliminades';
 $lang['Week starts on'] = 'La setmana comença el';
@@ -765,5 +765,5 @@
 $lang['Allowed file types: %s.'] = 'Tipus d\'arxius permesos : %s.';
 $lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Ressolució màxima aproximada : %dM píxels (és a dir %dx%d píxels).';
-$lang['Manage Permissions'] = 'Administrar permisos';
+$lang['Manage Permissions'] = 'Gestionar permisos';
 $lang['Photo %s of %s'] = 'Imatge %s de %s';
 $lang['show details'] = 'Mostrar detalls';
@@ -781,5 +781,5 @@
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Si no està disponible en alta qualitat i la mida actual es més gran que les dimensions del canvi de mida, es considerarà \'alta qualitat\' (HD) tot i què finalment caldrà reduir la mida de la imatge.';
 $lang['An error has occured during upgrade.'] = 'Hi ha hagut un error durant el procés d\'actualització.';
-$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Imposible extraer los ficheros. Por favor, verifique los permisos de los ficheros de su instalación. <Br> <a href="%s"> Haga clic aquí para ver el informe de error</a>.';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Impossible extreure els arxius. Si us plau, verifiqui els permisos dels arxius d\'instal·lació.<br><a href="%s">Faci clic aquí per veure el registre d\'errors</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo no pot recuperar l\'arxiu d\'actualització del servidor';
 $lang['Updates'] = 'Actualitzacions';
@@ -816,5 +816,5 @@
 $lang['Save manual order'] = 'Desar ordre manual';
 $lang['Save visits in history for'] = 'Desar les visites a l\'historial pels';
-$lang['Select a file'] = 'Selecciona un arxiu';
+$lang['Select a file'] = 'Seleccionar arxiu';
 $lang['Select groups...'] = 'Seleccionar grups...';
 $lang['Select users...'] = 'Seleccionar usuaris...';
@@ -863,5 +863,5 @@
 $lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'Per a les imatges amb mides sesgades, per exemple les cuadrades, Piwigo farà tot el possible per a ressaltar-ne el seu punt d\'interès.';
 $lang['Grant selected groups'] = 'Permetre als grups seleccionats';
-$lang['Manage permissions for group "%s"'] = 'Administració de permisos per al grup "%s"';
+$lang['Manage permissions for group "%s"'] = 'Gestió de permisos per al grup "%s"';
 $lang['Metadata synchronized from file'] = 'Metadades sincronitzades de l\'arxiu';
 $lang['No group is permitted to see this private album'] = 'A cap grup se li permet veure aquest àlbum privat';
@@ -904,5 +904,5 @@
 $lang['top left corner'] = 'Cantonada superior esquerra';
 $lang['top right corner'] = 'Cantonada superior dreta';
-$lang['visitors need to login and have the appropriate permissions to see this album'] = 'els visitants han d\'autenticar-se i disposar dels permisos adequats per veure aquest àlbum';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'Els visitants han d\'autenticar-se i disposar dels permisos adequats per veure aquest àlbum';
 $lang['Last send'] = 'Últim enviament';
 $lang['group "%s" added'] = 'Grups "%s" afegits';