Index: /extensions/exif_view/language/ar_SA/lang.exif.php
===================================================================
--- /extensions/exif_view/language/ar_SA/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/ar_SA/lang.exif.php	(revision 15198)
@@ -1,4 +1,3 @@
 <?php
-global $lang;
 
 $lang['exif_field_Contrast'] = 'تباين';
Index: /extensions/exif_view/language/cs_CZ/lang.exif.php
===================================================================
--- /extensions/exif_view/language/cs_CZ/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/cs_CZ/lang.exif.php	(revision 15198)
@@ -5,5 +5,4 @@
 //$lang_info['direction'] = 'ltr';
 //$lang_info['code'] = 'cz';
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Kontrast';
Index: /extensions/exif_view/language/de_DE/lang.exif.php
===================================================================
--- /extensions/exif_view/language/de_DE/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/de_DE/lang.exif.php	(revision 15198)
@@ -1,4 +1,3 @@
 <?php
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Kontrast';
Index: /extensions/exif_view/language/en_UK/lang.exif.php
===================================================================
--- /extensions/exif_view/language/en_UK/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/en_UK/lang.exif.php	(revision 15198)
@@ -5,5 +5,4 @@
 //$lang_info['direction'] = 'ltr';
 //$lang_info['code'] = 'en';
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Contrast';
Index: /extensions/exif_view/language/es_ES/lang.exif.php
===================================================================
--- /extensions/exif_view/language/es_ES/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/es_ES/lang.exif.php	(revision 15198)
@@ -1,5 +1,3 @@
 <?php
-
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Contraste';
Index: /extensions/exif_view/language/fr_FR/lang.exif.php
===================================================================
--- /extensions/exif_view/language/fr_FR/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/fr_FR/lang.exif.php	(revision 15198)
@@ -6,5 +6,4 @@
 //$lang_info['code'] = 'fr';
 //é
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Contraste';
Index: /extensions/exif_view/language/it_IT/lang.exif.php
===================================================================
--- /extensions/exif_view/language/it_IT/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/it_IT/lang.exif.php	(revision 15198)
@@ -5,6 +5,4 @@
 //$lang_info['direction'] = 'ltr';
 //$lang_info['code'] = 'it';
-//
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Contrasto';
Index: /extensions/exif_view/language/lv_LV/lang.exif.php
===================================================================
--- /extensions/exif_view/language/lv_LV/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/lv_LV/lang.exif.php	(revision 15198)
@@ -1,9 +1,3 @@
 <?php
-//$lang_info['language_name'] = 'English';
-//$lang_info['country'] = ''Great Britain';
-//$lang_info['charset'] = 'iso-8859-1';
-//$lang_info['direction'] = 'ltr';
-//$lang_info['code'] = 'en';
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Kontrasts';
Index: /extensions/exif_view/language/nl_NL/lang.exif.php
===================================================================
--- /extensions/exif_view/language/nl_NL/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/nl_NL/lang.exif.php	(revision 15198)
@@ -1,5 +1,3 @@
 <?php
-
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Contrast';
Index: /extensions/exif_view/language/no_NO/lang.exif.php
===================================================================
--- /extensions/exif_view/language/no_NO/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/no_NO/lang.exif.php	(revision 15198)
@@ -1,4 +1,3 @@
 <?php
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Kontrast';
Index: /extensions/exif_view/language/pl_PL/lang.exif.php
===================================================================
--- /extensions/exif_view/language/pl_PL/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/pl_PL/lang.exif.php	(revision 15198)
@@ -1,5 +1,3 @@
 <?php
-
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Kontrast';
Index: /extensions/exif_view/language/pt_PT/lang.exif.php
===================================================================
--- /extensions/exif_view/language/pt_PT/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/pt_PT/lang.exif.php	(revision 15198)
@@ -95,6 +95,5 @@
 $lang['exif_value_metering_mode_unknown'] = 'desconhecido';
 $lang['exif_value_red_eye'] = 'redução de vista vermelha';
-$lang['exif_value_saturation_hard'] = 'dificil
-';
+$lang['exif_value_saturation_hard'] = 'dificil';
 $lang['exif_value_saturation_low'] = 'baixo';
 $lang['exif_value_saturation_normal'] = 'normal';
Index: /extensions/exif_view/language/ru_RU/lang.exif.php
===================================================================
--- /extensions/exif_view/language/ru_RU/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/ru_RU/lang.exif.php	(revision 15198)
@@ -1,9 +1,3 @@
 <?php
-//$lang_info['language_name'] = 'English';
-//$lang_info['country'] = ''Great Britain';
-//$lang_info['charset'] = 'iso-8859-1';
-//$lang_info['direction'] = 'ltr';
-//$lang_info['code'] = 'en';
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Контраст';
Index: /extensions/exif_view/language/sk_SK/lang.exif.php
===================================================================
--- /extensions/exif_view/language/sk_SK/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/sk_SK/lang.exif.php	(revision 15198)
@@ -5,5 +5,4 @@
 //$lang_info['direction'] = 'ltr';
 //$lang_info['code'] = 'sk';
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Kontrast';
Index: /extensions/exif_view/language/sv_SE/lang.exif.php
===================================================================
--- /extensions/exif_view/language/sv_SE/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/sv_SE/lang.exif.php	(revision 15198)
@@ -1,4 +1,3 @@
 <?php
-global $lang;
 
 $lang['exif_field_Contrast'] = 'Kontrast';
Index: /extensions/exif_view/language/zh_CN/lang.exif.php
===================================================================
--- /extensions/exif_view/language/zh_CN/lang.exif.php	(revision 15197)
+++ /extensions/exif_view/language/zh_CN/lang.exif.php	(revision 15198)
@@ -5,5 +5,4 @@
 //$lang_info['direction'] = 'by Winson';
 //$lang_info['code'] = 'zh';
-global $lang;
 
 $lang['exif_field_Contrast'] = '对比度';