Index: /trunk/language/af_ZA/admin.lang.php
===================================================================
--- /trunk/language/af_ZA/admin.lang.php	(revision 15231)
+++ /trunk/language/af_ZA/admin.lang.php	(revision 15232)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 
-$lang['Average rate'] = "Gemiddelde gradering";
+$lang['Average rate'] = 'Gemiddelde tempo';
 $lang['Rate'] = "Gradeer";
 $lang['Access type'] = 'Toegangstipe';
@@ -52,8 +52,8 @@
 $lang['%d line filtered'] = '%d lyn gefilter';
 $lang['%d lines filtered'] = '%d lyne gefilter';
-$lang['%d mail was not sent.'] = '%d epos is nie gestuur nie';
-$lang['%d mail was sent.'] = '%d epos is gestuur';
-$lang['%d mails were not sent.'] = '%d eposse is nie gestuur nie';
-$lang['%d mails were sent.'] = '%d eposse is gestuur';
+$lang['%d mail was not sent.'] = '%d e-pos is nie gestuur nie';
+$lang['%d mail was sent.'] = '%d e-pos is gestuur';
+$lang['%d mails were not sent.'] = '%d e-posse is nie gestuur nie';
+$lang['%d mails were sent.'] = '%d e-posse is gestuur';
 $lang['%d member'] = '%d lid';
 $lang['%d members'] = '%d lede';
@@ -122,5 +122,5 @@
 $lang['Create'] = 'Skep';
 $lang['Crop'] = 'Snoei';
-$lang['GD version'] = 'GD weergawe';
+$lang['GD version'] = 'GD-biblioteek weergawe';
 $lang['General statistics'] = 'Algemene statistiek';
 $lang['Get Support on Piwigo Forum'] = 'Kry hulp op die Piwigo Forum';
@@ -137,7 +137,7 @@
 $lang['Hello,'] = 'Hallo,';
 $lang['Help Me'] = 'Help My';
-$lang['Hide'] = 'Versteek';
+$lang['Hide'] = 'Steek weg';
 $lang['high'] = 'hoog';
-$lang['High definition'] = 'Hoë definisie';
+$lang['High definition'] = 'Hoë skerpheid';
 $lang['History'] = 'Geskiedenis';
 $lang['Hour'] = 'Uur';
@@ -238,9 +238,9 @@
 $lang['Configuration'] = 'Konfigurasie';
 $lang['Confirm merge'] = 'Bevestig versmelting';
-$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Gekorrigeerde anomalie sal nie langer geignoreer word nie';
-$lang['Correction'] = 'Korreksie';
-$lang['Create this site'] = 'Skep hierdie blad';
+$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Reggestelde onreëlmatigheid sal nie verder geïgnoreer word nie';
+$lang['Correction'] = 'Regstelling';
+$lang['Create this site'] = 'Skep hierdie webtuiste';
 $lang['Current name'] = 'Huidige naam';
-$lang['Database synchronization with files'] = 'Databasis sinchronisasie met lêers';
+$lang['Database synchronization with files'] = 'Sinkroniseer databasis met lêers';
 $lang['Delete Representant'] = 'Verwyder album duimnael';
 $lang['Delete selected photos'] = 'Verwyder geselekteerde fotos';
@@ -449,7 +449,7 @@
 $lang['Deactivate all'] = 'Deaktiveer alles';
 $lang['Deactivate'] = 'Deaktiveer';
-$lang['Default comments order'] = 'Verstek kommentaar rangskikking';
+$lang['Default comments order'] = 'Standaard kommentaar volgorde';
 $lang['Default display'] = 'Verstek vertoon';
-$lang['Default photos order'] = 'Verstek foto rangskikking';
+$lang['Default photos order'] = 'Standaard foto volgorde';
 $lang['Default user cannot be deleted'] = 'Verstek gebruiker kan nie verwyder word nie';
 $lang['Groups and users'] = 'Groepe en gebruikers';
@@ -489,16 +489,16 @@
 $lang['Delete orphan tags'] = 'Verwyder wees etikette';
 $lang['Delete selected tags'] = 'Verwyder gekose etikette';
-$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'FOUT: HIERDIE INVOEGSEL IS VERMIS MAAR GEINSTALLEER! VERWYDER DIT NOU.';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'FOUT: HIERDIE BYVOEGSEL WORD VERMIS, MAAR IS GEINSTALLEER! VERWYDER DIT NOU.';
 $lang['ERROR'] = 'FOUT';
 $lang['Environment'] = 'Omgewing';
 $lang['Error list'] = 'Lys van foute';
-$lang['Error on file "%s" : %s'] = 'Fout op lêer "%s" : %s';
-$lang['Error when sending email to %s [%s].'] = 'Fout met stuur van epos na %s [%s].';
+$lang['Error on file "%s" : %s'] = 'Fout met lêer "%s" : %s';
+$lang['Error when sending email to %s [%s].'] = 'Fout met stuur van e-pos na %s [%s].';
 $lang['Errors caption'] = 'Foute byskrifte';
 $lang['Everybody'] = 'Almal';
-$lang['Extend for templates'] = 'Brei template uit';
-$lang['Extensions Update'] = 'Opdateer uitbreidings';
+$lang['Extend for templates'] = 'Brei sjabloon uit';
+$lang['Extensions Update'] = 'Dateer uitbreidings op';
 $lang['Ignore this update'] = 'Ignoreer hierdie opdatering';
-$lang['Impossible automatic correction'] = 'Outomatiese korreksie onmoontlik';
+$lang['Impossible automatic correction'] = 'Outomatiese verbetering onmoontlik';
 $lang['Informations'] = 'Inligting';
 $lang['Manage Permissions'] = 'Organiseer magtigings';
@@ -517,5 +517,5 @@
 $lang['default'] = 'verstek';
 $lang['delete album'] = 'verwyder album';
-$lang['email'] = 'Epos';
+$lang['email'] = 'E-pos';
 $lang['errors during synchronization'] = 'foute gedurende sinchronisasie';
 $lang['existing album'] = 'Bestaande album';
@@ -589,3 +589,106 @@
 $lang['remove this filter'] = 'verwyder hierdie filter';
 $lang['remove title'] = 'verwyder titel';
+$lang['%d physicals'] = '%d fisiese';
+$lang['%d week'] = '%d week';
+$lang['%d weeks'] = '%d weke';
+$lang['%s ago'] = '%s terug';
+$lang['%s in the future'] = '%s in die toekoms';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u gebruikers het outomaties toegang omdat hulle aan \'n toegelate groep behoort.';
+$lang['Apply watermark if height is bigger than'] = 'Voeg \'n watermerk by as die hoogte groter is as';
+$lang['Apply watermark if width is bigger than'] = 'Voeg \'n watermerk by as die breedte groter is as';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Standaard sal Piwigo \'n nuwe kleiner weergawe van die foto maak om op die web te vertoon.';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'Standaard word die middel van die foto gekies as die gebied om op te fokus.';
+$lang['Caddie management'] = 'Bewerk mandjie';
+$lang['Correction applied with error'] = 'Fout tydens regstelling';
+$lang['Correction applied with success'] = 'Regstelling suksesvol gemaak';
+$lang['Create a new site : (give its URL to create_listing_file.php)'] = 'Skep nuwe webtuiste : (gee sy adres aan create_listing_file.php)';
+$lang['Delete multiple size images'] = 'Verwyder multi-grootte beelde';
+$lang['Deletions'] = 'Verwyderings';
+$lang['Deny selected groups'] = 'Verbied geselekteerde groepe';
+$lang['Deny selected users'] = 'Verbied geselekteerde gebruiker';
+$lang['Detailed informations'] = 'Gedetailleerde inligting';
+$lang['Display options'] = 'Vertoon keuses';
+$lang['Dissociate from album'] = 'verwyder vanuit album';
+$lang['Dissociated'] = 'verwyder';
+$lang['Do you want to activate anyway?'] = 'Wil jy inelkgeval aktiveer?';
+$lang['Documentation'] = 'Dokumentasie';
+$lang['Does not represent'] = 'Nie \'n voorbeeld van';
+$lang['Download,'] = 'Laai af,';
+$lang['Downloads'] = 'Aflaai';
+$lang['Drag to re-order'] = 'Kliek-en-skuif om volgeorde te verander';
+$lang['Drop into album'] = 'Kies \'n album';
+$lang['Dump Database'] = 'Stort databasis';
+$lang['Duplicates'] = 'Kopieë';
+$lang['Edit album permissions'] = 'Verander album toegang';
+$lang['Edit album'] = 'Verander album';
+$lang['Edit photo information'] = 'Verander foto inligting';
+$lang['Edit photo'] = 'Bewerk foto';
+$lang['Edit ranks'] = 'Verander range';
+$lang['Edit selected tags'] = 'Verander geselekteerde etikette';
+$lang['Edit tags'] = 'Verander etikette';
+$lang['Email administrators when a comment is deleted'] = 'E-pos die administrateur as kommentaar verwyder is';
+$lang['Email administrators when a comment is modified'] = 'E-pos die administrateur as kommentaar verander is';
+$lang['Email admins when a comment requires validation'] = 'E-pos die administrateurs as kommentaar nagegaan moet word';
+$lang['Email admins when a new user registers'] = 'E-pos die administrateurs as \'n nuwe gebruiker registreer';
+$lang['Email admins when a valid comment is entered'] = 'E-pos die administrateurs as daar geldige kommentaar gelaat is';
+$lang['Exif extension not available, admin should disable exif use'] = 'Exif-aanvullings is nie beskikbaar nie. Die administrateur moet die gebruik van exif afskakel.';
+$lang['FTP + Synchronization'] = 'FTP + Sinkronisasie';
+$lang['Failed to write file to disk'] = 'Fout met skryf van lêers na hardeskyf';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Funksionaliteit sluit in gallery besigtiging, die skep van albums en die oplaai van foto\'s.';
+$lang['File upload stopped by extension'] = 'Oplaai van lêer is deur \'n uitbreiding gestop';
+$lang['File/directory read error'] = 'Fout met lees van lêer/gids';
+$lang['File'] = 'Lêer';
+$lang['Find a new representant by random'] = 'Kies \'n willekeurige album voorbeeldfoto';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Hierdie uitbreidings mag onversoenbaar wees met die nuwe weergawe van Piwigo:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Hierdie temas mag onversoenbaar wees met die nuwe weergawe van Piwigo:';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'Piwigo sal sy bes probeer om die area van fokus in die middel te plaas wanneer die foto gesnoei word. (Soos na \'n vierkant.)';
+$lang['Forbid this language to users'] = 'Steek hierdie taal vir gebruikers weg';
+$lang['Forbid this theme to users'] = 'Steek hierdie tema vir gebruikers weg';
+$lang['Forbidden'] = 'Ongemagtig';
+$lang['Form'] = 'Vorm';
+$lang['GD library is missing'] = 'GD-biblioteek is nie beskikbaar nie';
+$lang['Gallery title'] = 'Titel van gallery';
+$lang['Generate multiple size images'] = 'Skep multi-grootte beelde';
+$lang['Go to %s or %s for more informations'] = 'Gaan na %S of %s vir meet inligting';
+$lang['Grant selected groups'] = 'Ken geselekteerde groepe toe';
+$lang['Grant selected users'] = 'Ken geselekteerde gebruikers toe';
+$lang['Graphics Library'] = 'Grafika-biblioteek';
+$lang['Group management'] = 'Bestuur groepe';
+$lang['Group'] = 'Groep';
+$lang['High definition enabled'] = 'Hoë skerpheid is aktief';
+$lang['Hoverbox display'] = 'Sweefskerm';
+$lang['I decide to update anyway'] = 'Ek wil inelkgeval opdateer';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'As hoëresolusie nie beskikbaar is nie, en die huidige webgrootte-kopie groter is as die normale webgrootte, dan sal Piwigo die huidige kopie as hoëresolusie gebruik en \'n nuwe webgrootte-kopie maak.';
+$lang['If you encounter problems or have any question, please send a message to'] = 'Indien jy enige probleme, klagtes of kommentaar het, stuur \'n e-pos aan';
+$lang['Ignore selected anomalies'] = 'Ignoreer geselekteerde onreëlmatighede';
+$lang['Images manual order was saved'] = 'Stoor handmatig-gekose volgorde';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Hierdie tema kan nie geaktiveer word nie aangesien die basis-tema "%s" nie beskikbaar is nie.';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Kies eers \'n ander taal as standaard voor hierdie taal gedeaktiveer kan word.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Hierdie is die enigste taal en kan dus nie gedeaktiveer word nie.';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Hierdie is die enigste tema en kan dus ne gedeaktiveer word nie.';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Hierdie tema kan nie verwyder word nie aangesien ander (%s) dit as basis gebruik.';
+$lang['No group is permitted to see this private album'] = 'Geen groep mag hierdie private album sien nie';
+$lang['Numeric identifier : %d'] = 'Numeriese id : %d';
+$lang['Permission management'] = 'Bestuur toegangsregte';
+$lang['Photo sizes with crop'] = 'Foto groottes tydens snoei.';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo uitvoer uitbreiding vir iPhoto.';
+$lang['Rated %d times, score : %.2f'] = '%d stemme met \'n gemiddelde telling van: %.2f';
+$lang['Select a zone with your mouse to define a new center of interest.'] = 'Kies \'n gebied met die muis om \'n area van fokus aan te dui.';
+$lang['The center of interest is the most meaningful zone in the photo.'] = 'Die area van fokus is die gebied of deel van die foto wat die meeste sê.';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Om jou foto\'s vanaf digiKam na Piwigo te stuur, installeer die digiKam- en Kipi-uitbreidings.';
+$lang['any visitor can see this album'] = 'enige besoeker kan hierdie album sien';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam is ontwerp vir fotograwe wat foto\'s wil bekyk, bestuur, bewerk, verbeter, organiseer, deel en etikette daaraan wil toevoeg.';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'vertoon alle inligting (toegevoegde albums en foto\'s, verwyderde albums en foto\'s)';
+$lang['display'] = 'skerm';
+$lang['dissociate from group'] = 'verwyder vanuit groep';
+$lang['even already synchronized photos'] = 'selfs reeds gesinkroniseerde foto\'s';
+$lang['first photo added on %s'] = 'eerste foto toegevoeg op %s';
+$lang['for the file format'] = 'vir die lêer-tipe';
+$lang['for this file format'] = 'vir die lêer-tipe';
+$lang['group "%s" added'] = 'groep "%s" is toegevoeg';
+$lang['group "%s" deleted'] = 'groep "%s" is verwyder';
+$lang['group "%s" updated'] = 'die groep "%s" is opgedateer';
+$lang['hide details'] = 'steek details weg';
+$lang['include photos with lower privacy level'] = 'sluit foto\'s met laer toegangsregte in';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'besoekers moet aanteken en voldoende regte hê om hierdie album te kan sien';
 ?>