Index: trunk/admin/themes/default/template/photos_add_applications.tpl
===================================================================
--- trunk/admin/themes/default/template/photos_add_applications.tpl	(revision 15230)
+++ trunk/admin/themes/default/template/photos_add_applications.tpl	(revision 15233)
@@ -21,5 +21,5 @@
   <legend>pLoader</legend>
 
-<div class="illustration"><a href="http://piwigo.org/ext/upload/extension-270/screenshot.jpg" title="pLoader"><img src="http://piwigo.org/ext/upload/extension-270/thumbnail.jpg"></a></div>
+<div class="illustration"><a href="http://piwigo.org/screenshots/applications/ploader.png" title="pLoader"><img src="http://piwigo.org/screenshots/applications/thumbnail/ploader.jpg"></a></div>
 <p>{'pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'|@translate}</p>
 
@@ -34,5 +34,5 @@
 <fieldset>
   <legend>{'Piwigo for iOS (iPhone, iPad, iPod Touch)'|@translate}</legend>
-<div class="illustration"><a href="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" title="{'Piwigo for iOS (iPhone, iPad, iPod Touch)'|@translate}"><img src="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" style="width:150px"></a></div>
+<div class="illustration"><a href="http://piwigo.org/screenshots/applications/piwigo-ios.jpg" title="{'Piwigo for iOS (iPhone, iPad, iPod Touch)'|@translate}"><img src="http://piwigo.org/screenshots/applications/thumbnail/piwigo-ios.jpg"></a></div>
 <p>{'<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'|@translate}</p>
 
@@ -44,5 +44,5 @@
 <fieldset>
   <legend>{'Piwigo for Android'|@translate}</legend>
-<div class="illustration"><a href="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" title="{'Piwigo for Android'|@translate}"><img src="http://piwigo.com/blog/wp-content/uploads/2011/10/piwigo-ios-iphone-ipad.jpg" style="width:150px"></a></div>
+<div class="illustration"><a href="http://piwigo.org/screenshots/applications/piwigo-android.jpg" title="{'Piwigo for Android'|@translate}"><img src="http://piwigo.org/screenshots/applications/thumbnail/piwigo-android.jpg"></a></div>
 <p>{'<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'|@translate}</p>
 
@@ -55,5 +55,5 @@
   <legend>Lightroom</legend>
 
-<div class="illustration"><a href="http://alloyphoto.com/images/piwigo/dialog.png" title="{'Piwigo Publish plugin for Lightroom'|@translate}"><img src="http://alloyphoto.com/images/piwigo/dialog.png" style="width:150px"></a></div>
+<div class="illustration"><a href="http://piwigo.org/screenshots/applications/lightroom.png" title="{'Piwigo Publish plugin for Lightroom'|@translate}"><img src="http://piwigo.org/screenshots/applications/thumbnail/lightroom.jpg"></a></div>
 <p>
 {'Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'|@translate}
@@ -69,5 +69,5 @@
   <legend>Shotwell</legend>
 
-<div class="illustration"><a href="http://piwigo.files.wordpress.com/2010/11/shotwell_002.png" title="{'Piwigo publish plugin for Shotwell'|@translate}"><img src="http://piwigo.files.wordpress.com/2010/11/shotwell_002.png?w=150"></a></div>
+<div class="illustration"><a href="http://piwigo.org/screenshots/applications/shotwell.png" title="{'Piwigo publish plugin for Shotwell'|@translate}"><img src="http://piwigo.org/screenshots/applications/thumbnail/shotwell.jpg"></a></div>
 <p>{'Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'|@translate}</p>
 
@@ -80,5 +80,5 @@
 <fieldset>
   <legend>digiKam</legend>
-<div class="illustration"><a href="http://fr.piwigo.org/forum/showimage.php?pid=133064&filename=digikam2piwigo-01.png" title="{'Piwigo publish plugin for digiKam'|@translate}"><img src="http://fr.piwigo.org/forum/showimage.php?pid=133064&filename=digikam2piwigo-01.png" style="width:150px"></a></div>
+<div class="illustration"><a href="http://piwigo.org/screenshots/applications/digikam.png" title="{'Piwigo publish plugin for digiKam'|@translate}"><img src="http://piwigo.org/screenshots/applications/thumbnail/digikam.jpg"></a></div>
 <p>
 {'digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'|@translate}
@@ -95,5 +95,5 @@
   <legend>iPhoto</legend>
 
-<div class="illustration"><a href="http://piwigo.org/forum/showimage.php?pid=126856&filename=iphoto-to-piwigo.jpg" title="{'Piwigo export plugin for iPhoto'|@translate}"><img src="http://piwigo.org/forum/showimage.php?pid=126856&filename=iphoto-to-piwigo.jpg" style="width:150px"></a></div>
+<div class="illustration"><a href="http://piwigo.org/screenshots/applications/iphoto.jpg" title="{'Piwigo export plugin for iPhoto'|@translate}"><img src="http://piwigo.org/screenshots/applications/thumbnail/iphoto.jpg"></a></div>
 <p>{'iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'|@translate}</p>
 
@@ -106,5 +106,5 @@
   <legend>Aperture</legend>
 
-<div class="illustration"><a href="http://piwigo.org/ext/upload/extension-598/screenshot.jpg" title="{'Piwigo export plugin for Aperture'|@translate}"><img src="http://piwigo.org/ext/upload/extension-598/thumbnail.jpg" style="width:150px"></a></div>
+<div class="illustration"><a href="http://piwigo.org/screenshots/applications/aperture.png" title="{'Piwigo export plugin for Aperture'|@translate}"><img src="http://piwigo.org/screenshots/applications/thumbnail/aperture.jpg"></a></div>
 <p>
 {'Aperture is a powerful tool to refine images and manage massive libraries on Mac.'|@translate}
@@ -121,5 +121,5 @@
   <legend>ReGalAndroid</legend>
 
-<div class="illustration"><a href="http://piwigo.org/screenshots/regalandroid.png" title="ReGalAndroid"><img src="http://piwigo.org/screenshots/regalandroid.png" style="width:150px"></a></div>
+<div class="illustration"><a href="http://piwigo.org/screenshots/applications/regalandroid.png" title="ReGalAndroid"><img src="http://piwigo.org/screenshots/applications/thumbnail/regalandroid.jpg"></a></div>
 <p>
 {'ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'|@translate}