Index: extensions/stripped/language/da_DK/theme.lang.php
===================================================================
--- extensions/stripped/language/da_DK/theme.lang.php	(revision 14916)
+++ extensions/stripped/language/da_DK/theme.lang.php	(revision 15252)
@@ -26,35 +26,35 @@
 $lang['Show/hide menu'] = 'Vis/skjul menu';
 $lang['validate'] = 'kontroller';
-$lang['1 album per row (description beside thumbnail)'] = '1 albums pr række (beskrivelse ved siden miniaturebilledet)';
-$lang['2 albums per row (description beside thumbnail)'] = '2 albums pr række (beskrivelse ved siden miniaturebilledet)';
-$lang['3 albums per row (description below thumbnail)'] = '3 albums pr række (beskrivelse nedenfor miniaturebilledet)';
-$lang['5 albums per row (no album description)'] = '5 albums pr række (ingen album beskrivelse)';
-$lang['Activate image preloading'] = 'Aktiver billede forhåndsvisnings ';
-$lang['Additional bottom margin after resize'] = 'Yderligere bundmargen efter størelseshåndtering';
-$lang['Album list layout'] = 'Albumliste layout';
+$lang['1 album per row (description beside thumbnail)'] = '1 kategori pr række (beskrivelse ved siden miniaturebilledet)';
+$lang['2 albums per row (description beside thumbnail)'] = '2 kategorier pr række (beskrivelse ved siden miniaturebilledet)';
+$lang['3 albums per row (description below thumbnail)'] = '3 kategorier pr række (beskrivelse nedenfor miniaturebilledet)';
+$lang['5 albums per row (no album description)'] = '5 kategorier pr række (ingen kategori beskrivelse)';
+$lang['Activate image preloading'] = 'Aktiver preload af billeder';
+$lang['Additional bottom margin after resize'] = 'Yderligere bundmargen efter skalering';
+$lang['Album list layout'] = 'Layout for kategoriliste';
 $lang['Animate tabs on picture page'] = 'Animer faner på billede side';
 $lang['Default tab to be displayed'] = 'Standard fane, der skal vises';
-$lang['Display frame around albums'] = 'Vis ramme omkring albums';
+$lang['Display frame around albums'] = 'Vis ramme omkring kategorier';
 $lang['Display frame around image'] = 'Vis ramme rundt om billedet';
-$lang['Display frame around thumbnails'] = 'Vis ramme omkring miniaturebillederne';
+$lang['Display frame around thumbnails'] = 'Vis ramme omkring thumbnails';
 $lang['Force text to lowercase'] = 'Tving tekst til små bogstaver';
 $lang['HD picture default display'] = 'HD-billede standard visning';
 $lang['Hide menu by default on category page'] = 'Skjul menu som standard på kategori side';
-$lang['Image autosize options'] = 'billede Autostørelse valgmuligheder';
-$lang['Image preloading options'] = 'Billede forhåndsvisnings valgmuligheder';
-$lang['Include title after resize'] = 'Medtag titel efter størelseshåndtering';
-$lang['Interface options'] = 'Grænseflade indstillinger';
-$lang['Interface style'] = 'Grænseflade stil';
-$lang['Last displayed'] = 'sidst viste';
+$lang['Image autosize options'] = 'Indstillinger for billede autostørelse';
+$lang['Image preloading options'] = 'Indstillinger for preload af billeder';
+$lang['Include title after resize'] = 'Medtag titel efter skalering';
+$lang['Interface options'] = 'Indstillinger for brugerflade';
+$lang['Interface style'] = 'Brugerflade udseende';
+$lang['Last displayed'] = 'Sidst viste';
 $lang['Metadata'] = 'Metadata';
-$lang['Minimum image height after resize'] = 'Minimum billede højde efter størelseshåndtering';
-$lang['On picture page, number of next images to preload'] = 'På billede side, antallet af næste billeder til forhåndsvisning';
-$lang['Picture page options'] = 'Billede side valgmuligheder';
-$lang['Preload images on thumbnails page'] = 'Forhåndsvisning af billeder på miniaturebillede side';
+$lang['Minimum image height after resize'] = 'Minimum billede højde efter skalering';
+$lang['On picture page, number of next images to preload'] = 'Antal af næste billeder som skal preloades';
+$lang['Picture page options'] = 'Indstillinger for billedside';
+$lang['Preload images on thumbnails page'] = 'Preload billeder på thumbnail side';
 $lang['Property to display below picture'] = 'Egenskab at vise nedenunder billedet';
-$lang['Resize image to fit window'] = 'størelseshåndtering af billede til at passe til vinduet';
-$lang['Show Information tab only to admins'] = 'Vis kun fanen Information til admins';
-$lang['Show image title on top of the page (after browse path)'] = 'Vis billede titel øverst på siden (efter gennemse sti)';
-$lang['Show thumbnail caption'] = 'Vis miniaturebilledet billedtekst';
+$lang['Resize image to fit window'] = 'Skaler billede til vindue';
+$lang['Show Information tab only to admins'] = 'Vis kun fanen information til administratorer';
+$lang['Show image title on top of the page (after browse path)'] = 'Vis titel for billede øverst på siden (efter gennemse sti)';
+$lang['Show thumbnail caption'] = 'Vis billedtekst for thumbnail';
 $lang['Title'] = 'Titel';
 $lang['Use navigation arrows on picture'] = 'Brug navigationspile på billedet';
@@ -62,4 +62,4 @@
 $lang['fit to screen'] = 'tilpas til skærm';
 $lang['full size'] = 'fuld størelse';
-$lang['stripped Configuration updated'] = 'fjernet konfiguration opdateret';
+$lang['stripped Configuration updated'] = 'konfiguration for tema stripped opdateret';
 ?>