Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 15252)
+++ /trunk/language/da_DK/admin.lang.php	(revision 15253)
@@ -286,5 +286,5 @@
 $lang['User %s [%s] was not removed from the subscription list.']  =  'Bruger% s [%s] var ikke fjernet fra abonnementet listen.';
 $lang['User %s [%s] was not added to the subscription list.']  =  'Bruger% s [%s] var ikke tilføjet til abonnementet listen.';
-$lang['User %s [%s] added.']  =  'Bruger% s [%s] tilføjet.';
+$lang['User %s [%s] added.'] = 'Bruger %s [%s] tilføjet.';
 $lang['Warning: subscribing or unsubscribing will send mails to users']  =  'Advarsel: tilslutte eller afmelde vil sende mails til brugere';
 $lang['Send mail on HTML format']  =  'Send mail i HTML-format';
@@ -304,5 +304,5 @@
 $lang['test this remote site'] = 'test dette remote site';
 $lang['remove tags'] = 'Fjerne tags';
-$lang['Repair and optimize database'] = 'Reparation og optimere databasen';
+$lang['Repair and optimize database'] = 'Reparer og optimer databasen';
 $lang['selection'] = 'udvælgelse';
 $lang['set to'] = 'Indstillet til';
@@ -316,5 +316,5 @@
 $lang['Local'] = 'Lokal';
 $lang['Remote'] = 'Remote';
-$lang['update the database from files'] = 'Opdatere databasen med filer';
+$lang['update the database from files'] = 'Opdater databasen med filer';
 $lang['status'] = 'status';
 $lang['Directory']  =  'Mappe';
@@ -328,5 +328,5 @@
 $lang['Edit album'] = 'Rediger kategori';
 $lang['Group management']  =  'Grupper forvaltning';
-$lang['User list'] = 'Brugere liste';
+$lang['User list'] = 'Bruger liste';
 $lang['Edit photo information'] = 'Rediger billed information';
 $lang['Database synchronization with files'] = 'Database synkronisering med filer';
@@ -345,6 +345,6 @@
 $lang['Unlocked'] = 'Låst op';
 $lang['unset'] = 'unset';
-$lang['Update albums informations'] = 'Updater informationer for kategori';
-$lang['Update photos information']  =  'Update billeder information';
+$lang['Update albums informations'] = 'Opdater informationer for kategorier';
+$lang['Update photos information'] = 'Opdater billed informationer';
 $lang['Synchronize']  =  'Synkroniser';
 $lang['reduce to single existing albums'] = 'Reducer til én eksisterende kategorier';
@@ -357,20 +357,20 @@
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)']  =  'Fil eller mappe ikke kan få adgang (enten det eksisterer ikke eller adgang nægtes)';
 $lang['albums deleted in the database'] = 'kategorier slettet i databasen';
-$lang['photos deleted from the database']  =  'Elementer slettet i databasen';
+$lang['photos deleted from the database'] = 'fotos slettet i databasen';
 $lang['photos candidates for metadata synchronization']  =  'Billeder kandidater til metadata synkronisering';
 $lang['photos informations synchronized with files metadata']  =  'Elementer informationer synkroniseret med filer metadata';
 $lang['errors during synchronization'] = 'fejl under synkronisering';
 $lang['albums added in the database'] = 'kategorier tilføjet i databasen';
-$lang['photos added in the database']  =  'Elementer tilføjet i databasen';
-$lang['photos updated in the database']  =  'Elementer opdateret i databasen';
+$lang['photos added in the database'] = 'fotos tilføjet i databasen';
+$lang['photos updated in the database'] = 'fotos opdateret i databasen';
 $lang['Search for new images in the directories']  =  'Søg efter nye billeder i mapper';
 $lang['added']  =  'Tilføjet';
 $lang['deleted'] = 'slettet';
 $lang['Metadata synchronization results']  =  'Metadata synkronisering resultater';
-$lang['only perform a simulation (no change in database will be made)'] = 'kun udføre en simulering (intet vil blive ændret i databasen)';
+$lang['only perform a simulation (no change in database will be made)'] = 'udfør kun en simulering (intet vil blive ændret i databasen)';
 $lang['Simulation']  =  'Simulation';
 $lang['directories + files'] = 'mapper + filer';
 $lang['only directories'] = 'mapper kun';
-$lang['synchronize files structure with database']  =  'Synkronisere filer struktur med databasen';
+$lang['synchronize files structure with database'] = 'Synkroniser filstruktur med databasen';
 $lang['synchronize files metadata with database photos informations']  =  'Synkronisere database elementer med filer metadata';
 $lang['even already synchronized photos'] = 'allerede synkroniserede elementer';
@@ -534,5 +534,5 @@
 $lang['Number of downloads']  =  'Antal af downloads';
 $lang['Piwigo Announcements Newsletter'] = 'Piwigo Nyhedsbrev';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.']  =  'Hold kontakten med Piwigo projekt, abonnere på Piwigo  nyhedsbrev. Du vil blive sendt e-mails, når en ny udgivelse er tilgængelig (undertiden også en sikkerhed bug fix, er det vigtigt at kende og opgradering), og når større begivenheder ske med projektet. Kun nogle få emails om året. ';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Hold kontakt med Piwigo projektet og abonner på Piwigo nyhedsbrev. Du vil modtage e-mails, når en nye udgivelser er tilgængelige (undertiden også om bug fix, som det er vigtigt at installere), og når der sker større aktiviteter i forbindelse med projektet. Du vil normal kun modtage få emails om året. ';
 $lang['Subscribe %s']  =  'Abonner % s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter']  =  'Abonner % s til Piwigo Announcements Newsletter';
@@ -644,5 +644,5 @@
 $lang['Inactive Languages'] = 'Inaktive sprog';
 $lang['Make this language available to users'] = 'Gør dette sprog tilgængelig for brugere';
-$lang['Set as default language for unregistered and new users'] = 'Vælg som default sprog for ikke registrerede og nye brugere';
+$lang['Set as default language for unregistered and new users'] = 'Vælg som standard sprog for ikke registrerede og nye brugere';
 $lang['Add Photos'] = 'Tilføj fotos';
 $lang['The following tag was deleted'] = 'Følgende tag er slettet';
@@ -684,5 +684,5 @@
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kan ikke modtage opgraderings filer fra serveren';
 $lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Inkluder historiske data (Advarsel: server hukommelses begrænsning kan blive overskredet)';
-$lang['Unable to dump database.'] = 'Det er ikke muligt at dumpe databasen.';
+$lang['Unable to dump database.'] = 'Det er ikke muligt at slette databasen.';
 $lang['Update in progress... Please wait.'] = 'Opgraderingen er i gang... Vent venligst.';
 $lang['Update to Piwigo %s'] = 'Opgradering til Piwigo %s';
@@ -748,5 +748,5 @@
 $lang['hide details'] = 'skjul detaljer';
 $lang['Graphics Library'] = 'Grafisk Bibiliotejk';
-$lang['I decide to update anyway'] = 'Jeg vil updater alligevel';
+$lang['I decide to update anyway'] = 'Jeg vil gerne opdatere alligevel';
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Hvis der ikke er HD tilgængelig og hvis wesitet er større end mulighederne for resize, Piwioi vil flytte det som HD og lave en nedskaleret website foto af det.';
 $lang['Ignore All'] = 'Ignorer Alt';
@@ -762,5 +762,5 @@
 $lang['Photo name'] = 'Foto navn'; 
 $lang['Photos generation in progress...'] = 'Dannelse af foto igang...'; 
-$lang['Piwigo Update'] = 'Piwigo Update'; 
+$lang['Piwigo Update'] = 'Opdater Piwigo';
 $lang['Reset ignored updates'] = 'Reset ignorede opdateringer'; 
 $lang['Save Template Directory'] = 'Gem template bibliotek'; 
@@ -791,5 +791,5 @@
 $lang['With no virtual album'] = 'Uden virtual kategori';
 $lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Du bruger Browser uploader. Prøv <a href="%s">Flash uploader</a> i stedet.';
-$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Du burger Flash uploader. Problemer? Prøv <a href="%s">Browser uploader</a> i stedet.';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Du bruger Flash uploader. Har du problemer? Prøv <a href="%s">Browser uploader</a> i stedet.';
 $lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Du kan opdatere til Piwigo %s direkte, uden at opgradere Piwigo %s (anbefalet).';
 $lang['Zoom'] = 'Zoom';
@@ -804,5 +804,5 @@
 $lang['Save visits in history for'] = 'Gem besøg i historie for';
 $lang['simple visitors'] = 'simple besøgende';
-$lang['registered users'] = 'registerede burger';
+$lang['registered users'] = 'registerede brugere';
 $lang['administrators'] = 'administratorer';
 $lang['This album contains %d photos, added on %s.'] = 'Denne kategori indeholder %d fotos, tilføjet den %s.';
@@ -895,5 +895,5 @@
 $lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Du kan ikke definere en standard foto rækkefølge, fordi du har en brugerdefineret indstilling i din lokale konfiguration.';
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Du har angivet <i>$conf[\'order_by\']</i> i din lokale konfigurationsfil, denne parameter i forældet, skal du fjerne den eller omdøbe den til <i>$conf[\'order_by_custom\']</i>!';
-$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto er standard Photo Manager på MacOSX. Den Piwigo eksport-plugin kan du oprette nye kategoerier og eksportere dine billeder direkte fra iPhoto til din Piwigo fotogalleri.';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto er standardprogram for håndtering af billeder på MacOSX. Ved hjælp af eksport-plugin\'en kan du oprette nye kategoerier og eksportere dine billeder direkte fra iPhoto til dit Piwigo fotogalleri.';
 $lang['include photos with lower privacy level'] = 'omfatter billeder med lavere privatliv niveau';
 $lang['%d day'] = '%d dag';