Index: trunk/language/el_GR/help/cat_perm.html
===================================================================
--- trunk/language/el_GR/help/cat_perm.html	(revision 14864)
+++ trunk/language/el_GR/help/cat_perm.html	(revision 15272)
@@ -1,13 +1,13 @@
-<h2>&Epsilon;&pi;&epsilon;&xi;&epsilon;&rho;&gamma;&alpha;&sigma;ί&alpha; &delta;&iota;&kappa;&alpha;&iota;&omega;&mu;ά&tau;&omega;&nu; &lambda;&epsilon;&upsilon;&kappa;ώ&mu;&alpha;&tau;&omicron;&sigmaf;</h2>
+<h2>Επεξεργασία δικαιωμάτων λευκώματος</h2>
 
-<p>&Alpha;&upsilon;&tau;ή &eta; &omicron;&theta;ό&nu;&eta; &epsilon;ί&nu;&alpha;&iota; &delta;&iota;&alpha;&theta;έ&sigma;&iota;&mu;&eta; &mu;ό&nu;&omicron; &gamma;&iota;&alpha; &iota;&delta;&iota;&omega;&tau;&iota;&kappa;ά &lambda;&epsilon;&upsilon;&kappa;ώ&mu;&alpha;&tau;&alpha;. &Epsilon;&delta;ώ &mu;&pi;&omicron;&rho;&epsilon;ί&tau;&epsilon; &nu;&alpha; &epsilon;&pi;&iota;&lambda;έ&xi;&epsilon;&tau;&epsilon;
-&chi;&rho;ή&sigma;&tau;&epsilon;&sigmaf; &kappa;&alpha;&iota; &omicron;&iota; &omicron;&mu;ά&delta;&epsilon;&sigmaf; έ&chi;&omicron;&upsilon;&nu; &epsilon;&gamma;&kappa;&rho;&iota;&theta;&epsilon;ί &gamma;&iota;&alpha; έ&nu;&alpha; &lambda;&epsilon;ύ&kappa;&omega;&mu;&alpha;.</p>
+<p>Αυτή η οθόνη είναι διαθέσιμη μόνο για ιδιωτικά λευκώματα. Εδώ μπορείτε να επιλέξετε
+χρήστες και οι ομάδες έχουν εγκριθεί για ένα λεύκωμα.</p>
 
-<h3>&Omicron;&mu;ά&delta;&epsilon;&sigmaf;</h3>
+<h3>Ομάδες</h3>
 
-<p>&Mu;&pi;&omicron;&rho;&epsilon;ί&tau;&epsilon; &nu;&alpha; &alpha;&rho;&nu;&eta;&theta;&epsilon;ί&tau;&epsilon; ή &nu;&alpha; &epsilon;&pi;&iota;&tau;&rho;έ&psi;&epsilon;&tau;&epsilon; &tau;&eta;&nu; &pi;&rho;ό&sigma;&beta;&alpha;&sigma;&eta; &omicron;&mu;ά&delta;&omega;&nu; &gamma;&iota;&alpha; &tau;&omicron; &tau;&rho;έ&chi;&omicron;&nu; ά&lambda;&mu;&pi;&omicron;&upsilon;&mu;. &Mu;&epsilon; &tau;&eta;&nu; &tau;&rho;&omicron;&pi;&omicron;&pi;&omicron;ί&eta;&sigma;&eta;
-&alpha;&delta;&epsilon;&iota;ώ&nu; &omicron;&mu;ά&delta;&omega;&nu;, &omicron;&iota; &chi;&rho;ή&sigma;&tau;&epsilon;&sigmaf; &pi;&omicron;&upsilon; &alpha;&nu;ή&kappa;&omicron;&upsilon;&nu; &sigma;&epsilon; &alpha;&upsilon;&tau;έ&sigmaf; &tau;&iota;&sigmaf; &omicron;&mu;ά&delta;&epsilon;&sigmaf; &theta;&alpha; έ&chi;&omicron;&upsilon;&nu; ή &delta;&epsilon;&nu; &theta;&alpha; έ&chi;&omicron;&upsilon;&nu; &pi;&rho;ό&sigma;&beta;&alpha;&sigma;&eta; &sigma;&tau;&omicron; ά&lambda;&mu;&pi;&omicron;&upsilon;&mu;.</p>
+<p>Μπορείτε να αρνηθείτε ή να επιτρέψετε την πρόσβαση ομάδων για το τρέχον άλμπουμ. Με την τροποποίηση
+αδειών ομάδων, οι χρήστες που ανήκουν σε αυτές τις ομάδες θα έχουν ή δεν θα έχουν πρόσβαση στο άλμπουμ.</p>
 
-<h3>&Chi;&rho;ή&sigma;&tau;&epsilon;&sigmaf;</h3>
+<h3>Χρήστες</h3>
 
-<p>&Mu;&pi;&omicron;&rho;&epsilon;ί&tau;&epsilon; &nu;&alpha; &alpha;&rho;&nu;&eta;&theta;&epsilon;ί&tau;&epsilon; ή &nu;&alpha; &epsilon;&pi;&iota;&tau;&rho;έ&psi;&epsilon;&tau;&epsilon; &tau;&eta;&nu; &pi;&rho;ό&sigma;&beta;&alpha;&sigma;&eta; &sigma;&epsilon; &mu;&epsilon;&mu;&omicron;&nu;&omega;&mu;έ&nu;&omicron;&upsilon;&sigmaf; &chi;&rho;ή&sigma;&tau;&epsilon;&sigmaf;. &Omicron;&iota; &chi;&rho;ή&sigma;&tau;&epsilon;&sigmaf; &pi;&omicron;&upsilon; έ&chi;&omicron;&upsilon;&nu; &pi;&rho;ό&sigma;&beta;&alpha;&sigma;&eta; &mu;έ&sigma;&omega; &mu;&iota;&alpha;&sigmaf; &omicron;&mu;ά&delta;&alpha;&sigmaf; &mu;&pi;&omicron;&rho;&epsilon;ί &nu;&alpha; &alpha;&rho;&nu;&eta;&theta;&epsilon;ί &tau;&eta;&nu; &pi;&rho;ό&sigma;&beta;&alpha;&sigma;&eta; &kappa;&alpha;&tau;' &epsilon;&xi;&alpha;ί&rho;&epsilon;&sigma;&eta;.</p>
+<p>Μπορείτε να αρνηθείτε ή να επιτρέψετε την πρόσβαση σε μεμονωμένους χρήστες. Οι χρήστες που έχουν πρόσβαση μέσω μιας ομάδας μπορεί να αρνηθεί την πρόσβαση κατ' εξαίρεση.</p>