Index: /extensions/PersoFavicon/language/ca_ES/description.txt
===================================================================
--- /extensions/PersoFavicon/language/ca_ES/description.txt	(revision 15279)
+++ /extensions/PersoFavicon/language/ca_ES/description.txt	(revision 15279)
@@ -0,0 +1,1 @@
+Permet reemplaçar la icona 'favicon' de Piwigo per una altre de la seva elecció
Index: /extensions/PersoFavicon/language/ca_ES/index.php
===================================================================
--- /extensions/PersoFavicon/language/ca_ES/index.php	(revision 15279)
+++ /extensions/PersoFavicon/language/ca_ES/index.php	(revision 15279)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PersoFavicon/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/PersoFavicon/language/ca_ES/plugin.lang.php	(revision 15279)
+++ /extensions/PersoFavicon/language/ca_ES/plugin.lang.php	(revision 15279)
@@ -0,0 +1,43 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['help'] = 'Ajuda';
+$lang['pfi_actu2'] = 'ADVERTÈNCIA: Serà substituit pels nous que descarregui';
+$lang['pfi_actu'] = 'Una icona és present en el seu directori local:';
+$lang['pfi_aide1T'] = 'Afegir formulari';
+$lang['pfi_aide1'] = 'Pot afegir una icona <i>favicon</i> per mitjà del formulari. Serà renombrat automàticament a favicon.ico i reemplaçarà al que pogués estar present en aquell moment en el directori local.<br>La mida màxima de l\'arxiu és de 5kb.<br>Depenent del navegador pot haver-hi un un petit retard en actualitzar-se.';
+$lang['pfi_aide2T'] = '$conf[\'PersoFavicon\']';
+$lang['pfi_aide2'] = '
+Si carregues una icona via FTP amb un nom diferent a favicon, pot afegir al seu l\'arxiu de configuració local<br>$conf[\'PersoFavicon\']=\'el nom del seu arxiu\'';
+$lang['pfi_ajout'] = 'Afegir icona';
+$lang['pfi_envoie'] = 'Carregar al directori local';
+$lang['pfi_erreur_exist'] = 'L\'arxiu ha estat reemplaçat';
+$lang['pfi_erreur_ext'] = 'Ha de carregar un tipus d\'arxiu .ico';
+$lang['pfi_erreur_mouve'] = 'No es pot copiar l\'arxiu en el directori "local"';
+$lang['pfi_erreur_nom'] = 'Nom d\'arxiu no vàlid';
+$lang['pfi_erreur_taille'] = 'Ha de carregar un arxiu de 5 Kb com a un màxim ';
+$lang['pfi_erreur_vide'] = 'No s\'ha trobat l\'arxiu';
+$lang['pfi_h2'] = 'Complement PersoFavicon';
+$lang['pfi_ok'] = 'L\'arxiu ha sigut actualitzat';
+$lang['pfi_select'] = 'Seleccioni l\'arxiu d\'icona (.ico)';
+$lang['pfi_validdef'] = 'Confirmi la seva elecció - en cas de què existeixi es sobreescriurà l\'actual icona favicon';
+?>