Index: /trunk/language/sr_RS/install.lang.php
===================================================================
--- /trunk/language/sr_RS/install.lang.php	(revision 15282)
+++ /trunk/language/sr_RS/install.lang.php	(revision 15283)
@@ -36,5 +36,5 @@
 $lang['Host'] = 'Хост';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
-$lang['User'] = 'Korisnik';
+$lang['User'] = 'Корисник';
 $lang['user login given by your host provider'] = 'корисничко име дато од стране Вашег давалаца интернет услуга';
 $lang['Password'] = 'Лозинка';
@@ -55,16 +55,20 @@
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Посетиоци ће бити у могућности да са ове електронске адресе контактирају администратора странице';
 $lang['PHP 5 is required'] = 'PHP 5 је неопходан';
-$lang['It appears your webhost is currently running PHP %s.'] = 'Izgleda da Vaš webhost trenutno koristi PHP %s.';
-$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo може покушати да промени Вашу конфигурацију на PHP 5 формирањем или мењањем .htaccess датотеке.';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Изгледа да Ваш сервер тренутно користи PHP %s.';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'ПиВиГо може покушати да промени Вашу конфигурацију на PHP 5 формирањем или мењањем .htaccess датотеке.';
 $lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Имајте у виду да можете сами изменити Вашу конфигурацију рестартовати Piwigo после тога.';
 $lang['Try to configure PHP 5'] = 'Покушајте да подестите PHP 5';
 $lang['Sorry!'] = 'Жао нам је!';
-$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo није успео да подеси PHP 5.';
+$lang['Piwigo was not able to configure PHP 5.'] = 'ПиВиГо није успео да подеси PHP 5.';
 $lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Требало би да се обартите подршци Вашег хостинг провајдера за упутство како да промените на PHP 5 сами.';
 $lang['Hope to see you back soon.'] = 'Надамо се да се ускоро поново видимо.';
-$lang['Congratulations, Piwigo installation is completed'] = 'Честитамо, Piwigo инсталација је завршена';
+$lang['Congratulations, Piwigo installation is completed'] = 'Честитамо, ПиВиГо инсталација је завршена';
 $lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Алтернативно решење је да копирате текст из кутије изнад и налепите у датотеку "local/config/database.inc.php" (Упозорење : database.inc.php мора садржати само текст из кутије, без линије или празних карактера)';
 $lang['Creation of config file local/config/database.inc.php failed.'] = 'Формирање конфигурационе датотеке local/config/database.inc.php неуспешно.';
 $lang['Download the config file'] = 'Сними на рачунар конфигурациону датотеку';
-$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Можете снимити на рацунар конфигурациону датотеку и послати је на local/config директоријум Ваше инсталације.';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Можете снимити на рачунар конфигурациону датотеку и послати је на local/config директоријум Ваше инсталације.';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Не устручавајте се да посетите наш форум за помоћ: %s';
+$lang['Just another Piwigo gallery'] = 'ПиВиГо фото галерија';
+$lang['Welcome to my photo gallery'] = 'Добродошли у фото галерију';
+$lang['Welcome to your new installation of Piwigo!'] = 'Добродошли у нову инсталацију ПиВиГо!';
 ?>