Index: /trunk/language/bg_BG/admin.lang.php
===================================================================
--- /trunk/language/bg_BG/admin.lang.php	(revision 15288)
+++ /trunk/language/bg_BG/admin.lang.php	(revision 15289)
@@ -299,3 +299,57 @@
 $lang['confirm'] = 'потвърдение';
 $lang['created'] = 'създаден';
+$lang['%d day'] = '%d ден';
+$lang['%d days'] = '%d дни';
+$lang['%d hour'] = '%d час';
+$lang['%d hours'] = '%d часове';
+$lang['%d minute'] = '%d минута';
+$lang['%d minutes'] = '%d минути';
+$lang['%d month'] = '%d месец';
+$lang['%d months'] = '%d месеци';
+$lang['%d second'] = '%d секунда';
+$lang['%d seconds'] = '%d секунди';
+$lang['%d week'] = '%d седмица';
+$lang['%d weeks'] = '%d седмици';
+$lang['%d year'] = '%d година';
+$lang['%d years'] = '%d години';
+$lang['%s ago'] = '%s преди';
+$lang['%s in the future'] = '%s в бъдеще';
+$lang['Added by %s'] = 'Добавено от %s';
+$lang['Apply watermark if height is bigger than'] = 'Сложи водния знак, ако височината е по-голям от';
+$lang['Apply watermark if width is bigger than'] = 'Сложи водния знак, ако ширината е по-голям от';
+$lang['By %s'] = 'С %s';
+$lang['Check for updates'] = 'Провери за актуализации';
+$lang['Check for upgrade failed for unknown reasons.'] = 'Проверката за актуализации прекъсна поради неизвестна причина.';
+$lang['Confirm merge'] = 'Потвърждение за подравняване';
+$lang['Crop'] = 'Отрязване';
+$lang['Current name'] = 'Текущо име';
+$lang['Database synchronization with files'] = 'Синхронизация на базата данни с файловете';
+$lang['Deactivate all'] = 'Деактивиране на всички';
+$lang['Deactivate'] = 'Деактивиране';
+$lang['Default user cannot be deleted'] = 'Потребителя по подразбиране не може да бъде изтрит';
+$lang['Default user does not exist'] = 'Потребител по подразбиране не същиствува';
+$lang['Delete multiple size images'] = 'Изтриване на снимки с няколко размера';
+$lang['Delete orphan tags'] = 'Изтриване на празните тагове';
+$lang['Delete selected photos'] = 'Изтриване на избраните снимки';
+$lang['Edit photo'] = 'Редакция на снимка';
+$lang['Generate multiple size images'] = 'Генериране на няколко размера на снимките';
+$lang['Multiple Size'] = 'Няколко размера';
+$lang['No group is permitted to see this private album'] = 'Няма групи с разрешение да виждат този личен албум';
+$lang['Numeric identifier : %d'] = 'Числов идентификатор : %d';
+$lang['Opacity'] = 'Затъмняване';
+$lang['Original file : %s'] = 'Оригинален файл : %s';
+$lang['Permission management'] = 'Редактиране на разрешителните за достъп';
+$lang['Photo sizes with crop'] = 'Фото размер с кроп';
+$lang['Posted %s on %s'] = 'Написано %s на %s';
+$lang['Rated %d times, score : %.2f'] = 'Оценени %d пъти, оценка : %.2f';
+$lang['Sharpen'] = 'Изостряне';
+$lang['Visited %d times'] = 'Посещения %d пъти';
+$lang['Watermark'] = 'Воден знак';
+$lang['X Repeat'] = 'X повторение';
+$lang['custom'] = 'Частен';
+$lang['default'] = 'по подразбиране';
+$lang['delete album'] = 'изтриване на албум';
+$lang['delete photo'] = 'изтриване на снимка';
+$lang['include photos with lower privacy level'] = 'включително снимки с ниско ниво на сигурност';
+$lang['middle'] = 'средно';
 ?>