Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 15299)
+++ /trunk/language/ca_ES/common.lang.php	(revision 15300)
@@ -58,5 +58,5 @@
 $lang['Album'] = 'Àlbum';
 $lang['Close this window'] = 'Tancar finestra';
-$lang['Complete RSS feed (photos, comments)'] = 'Canal RSS complet (imatges, comentaris)';
+$lang['Complete RSS feed (photos, comments)'] = 'Canal RSS complet (imatges, comentaris...)';
 $lang['Confirm Password'] = 'Confirmar clau d\'accés';
 $lang['Connection settings'] = 'Paràmetres de connexió';
@@ -139,5 +139,5 @@
 $lang['chronology_monthly_list'] = 'Llista mensual';
 $lang['chronology_weekly_list'] = 'Llista setmanal';
-$lang['Click here if your browser does not automatically forward you'] = 'Cliqueu aquí si el navegador no us redirecciona de forma automàtica';
+$lang['Click here if your browser does not automatically forward you'] = 'Clicar aquí si el navegador no el redirecciona automàticament';
 $lang['comment date'] = 'Data del comentari';
 $lang['Comment'] = 'Comentari';
@@ -242,5 +242,5 @@
 $lang['Please, enter a login'] = 'Si us plau, introduïu les dades d\'autenticació';
 $lang['login mustn\'t end with a space character'] = 'El nom d\'usuari no pot acabar amb el caràcter \'espai\'';
-$lang['login mustn\'t start with a space character'] = 'El nom d\'usuari no pot començar amb el caràcter de \'espai\'';
+$lang['login mustn\'t start with a space character'] = 'El nom d\'usuari no pot començar amb el caràcter \'espai\'';
 $lang['this login is already used'] = 'Aquest nom d\'usuari ja s\'està utilitzant';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'L\'adreça de correu ha de ser com xxx@yyy.eee (exemple: jack@altern.org)';
@@ -256,5 +256,5 @@
 $lang['Search for words'] = 'Cerca per paraules';
 $lang['Search for all terms'] = 'Cercar per tots els termes';
-$lang['Empty query. No criteria has been entered.'] = 'No has introduït cap criteri de cerca.';
+$lang['Empty query. No criteria has been entered.'] = 'No ha introduït cap criteri de cerca.';
 $lang['Search results'] = 'Resultats de la cerca';
 $lang['Search in sub-albums'] = 'Cerca en els sub-àlbums';
@@ -278,5 +278,5 @@
 $lang['Update your rating'] = 'Canvia la teva valoració';
 $lang['Author'] = 'Autor';
-$lang['the username must be given'] = 'cal indicar el nom d\'usuari';
+$lang['the username must be given'] = 'Cal indicar el nom d\'usuari';
 $lang['useful when password forgotten'] = 'Útil en cas de pèrdua de credencials d\'accés';
 $lang['Quick search'] = 'Cerca ràpida';
@@ -334,6 +334,6 @@
 $lang['Manage this user comment: %s'] = 'Gestionar el comentari: %s';
 $lang['This author modified following comment:'] = 'Aquest autor ha modificat el següent comentari:';
-$lang['This author removed the comment with id %d'] = 'Aquest autor ha eliminat el comentari amb id %d';
-$lang['html tags are not allowed in login'] = 'Les etiquetes html no són permeses en les dades d\'inici de sessió';
+$lang['This author removed the comment with id %d'] = 'Aquest autor ha eliminat el comentari amb l\'identificador numèric %d';
+$lang['html tags are not allowed in login'] = 'No es permeten etiquetes html en les dades d\'inici de sessió';
 $lang['%d rates'] = '%d valoracions';
 $lang['Rating score'] = 'Resultat de la valoració';
@@ -351,5 +351,5 @@
 $lang['Your password has been reset'] = 'S\'ha restablert la seva clau d\'accés.';
 $lang['Return to home page'] = 'Torna a la pàgina d\'inici';
-$lang['Please enter your username or email address.'] = 'Introdueix el teu nom d\usuari o el correu electrònic que vas emprar per donar-te d\'alta.';
+$lang['Please enter your username or email address.'] = 'Introdueix el seu nom d\'usuari o el correu electrònic que va emprar per donar-se d\'alta.';
 $lang['You will receive a link to create a new password via email.'] = 'Rebrà un enllaç al seu correu electrònic que li permetrà crear una nova clau d\'accés.';
 $lang['Username or email'] = 'Nom d\'usuari o correu electrònic';
@@ -365,5 +365,5 @@
 $lang['Hello %s,'] = 'Hola %s,';
 $lang['Here are your connection settings'] = 'Aquests son els seus paràmetres de connexió';
-$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Si creus que has rebut aquest correu electrònic per error, si us plau, contacti amb nosaltres a %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Si us plau, contacti amb nosaltres a %s si creu que ha rebut per error aquest correu electrònic.';
 $lang['Manual sort order'] = 'Ordre manual';
 $lang['Mobile'] = 'Dispositiu mòbil';
@@ -381,5 +381,5 @@
 $lang['Username: %s'] = 'Usuari: %s';
 $lang['View in'] = 'Disseny web adaptat a';
-$lang['Your username has been successfully changed to : %s'] = 'El teu nom d\'usuari s\'ha canviat amb èxit per: %s';
+$lang['Your username has been successfully changed to : %s'] = 'El seu nom d\'usuari ha sigut modificat correctament per: %s';
 $lang['large'] = 'L - gran';
 $lang['medium'] = 'M - mitjà';