Index: /extensions/Shadogo/trunk/language/de_DE/description.txt
===================================================================
--- /extensions/Shadogo/trunk/language/de_DE/description.txt	(revision 15324)
+++ /extensions/Shadogo/trunk/language/de_DE/description.txt	(revision 15324)
@@ -0,0 +1,5 @@
+Shadogo erlaubt dem Benutzer, Video-Medien (flv, mp4, SWF, ...) in der gleichen Weise, wie es Piwigo für Bilder tut, zu verwalten.
+- Betrachten Sie Ihre Fotos, Videos und Diashows in überlappenden Fenstern.
+- Fügen Sie sie in der Galerie Verzeichnissen mit ihren Miniaturen ein.
+- Videos lassen sich leicht hinzugefügt mit den Werkzeugen "Thumbnails" und "Synchronisieren" in der Verwaltungskonsole.
+- Medias (Video, Bild, HD-Bild) und Piwigo Seiten (Content, Diashow) können in modalen Overlay-Fenster angezeigt werden. 
Index: /extensions/Shadogo/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Shadogo/trunk/language/de_DE/plugin.lang.php	(revision 15324)
+++ /extensions/Shadogo/trunk/language/de_DE/plugin.lang.php	(revision 15324)
@@ -0,0 +1,57 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['shadogo_cancel'] = 'Abbrechen';
+$lang['shadogo_content'] = 'Siehe Inhalt';
+$lang['shadogo_display_expert_params'] = 'Anzeige der Experten Parameter';
+$lang['shadogo_hdcontent_config'] = 'Media-Datei Muster';
+$lang['shadogo_hdcontent_inoverlay'] = 'Zeigen Sie die HD-Inhalte im Overlay-Fenster';
+$lang['shadogo_hdcontent_pattern'] = 'HD-Inhalte Muster';
+$lang['shadogo_hdcontent_replacement'] = 'HD-Code Austausch';
+$lang['shadogo_mediafile_pattern'] = 'Media-Datei Muster';
+$lang['shadogo_mediaplayer_config'] = 'Mediaplayer Konfiguration';
+$lang['shadogo_mediaplayer_content'] = 'Zeigen Sie den Player in der Inhaltsübersicht';
+$lang['shadogo_note_warm_restore'] = 'Bitte nicht vergessen, die wiederhergestellte Konfiguration zu speichern.';
+$lang['shadogo_overlay_addtobasket'] = 'Aktivieren Sie das Papier-Korb Management';
+$lang['shadogo_overlay_config'] = 'Overlay-Fenster Konfiguration';
+$lang['shadogo_overlay_download'] = 'Aktivieren Sie de Download des HD-Bildes';
+$lang['shadogo_overlay_favorites'] = 'Aktivieren Sie das Favoriten Management
+';
+$lang['shadogo_overlay_hdpicture'] = 'Aktivieren Sie die Anzeige des HD-Bildes';
+$lang['shadogo_overlaylibs'] = 'Wählen Sie die modale Overlay-Bibliothek';
+$lang['shadogo_overlaythemes'] = 'Thema des Overlay-Fensters';
+$lang['shadogo_play'] = 'Wiedergabe';
+$lang['shadogo_restore'] = 'Wiederherstellen der Standardwerte';
+$lang['shadogo_save'] = 'Speichern';
+$lang['shadogo_slideshow_config'] = 'Slideshow-Konfiguration';
+$lang['shadogo_slideshow_inoverlay'] = 'Zeigen Sie die Diashow im Overlay-Fenster';
+$lang['shadogo_slideshow_pattern'] = 'Slideshow Muster';
+$lang['shadogo_slideshow_replacement'] = 'Slideshow Code Austausch';
+$lang['shadogo_thumbnail_buttons_search'] = 'Template-Code, mit thumbnail_shadogo_buttons.tpl Dateiinhalt ersetzen';
+$lang['shadogo_thumbnail_config'] = 'Vorschaubild-Konfiguration';
+$lang['shadogo_thumbnail_content_icon'] = 'Zeigen Sie das Inhalts-Symbol in der Legende';
+$lang['shadogo_thumbnail_content_inoverlay'] = 'Zeigen Sie die Vorschau-Inhalt im Overlay-Fenster';
+$lang['shadogo_thumbnail_contentpage_inoverlay'] = 'Zeigen Sie die Inhaltsseite im Overlay-Fenster';
+$lang['shadogo_thumbnail_hrefcontent_search'] = 'Template-Code, mit thumbnail_shadogo_content.tpl Dateiinhalt ersetzen';
+$lang['shadogo_thumbnail_label'] = 'Zeigen Sie das Vorschau-Label';
+$lang['shadogo_thumbnail_player_icon'] = 'Zeigen Sie das Player-Symbol in der Legende';
+?>